[arch-commits] Commit in mpg123/trunk (PKGBUILD)

Hugo Doria hugo at archlinux.org
Tue Apr 7 17:28:35 EDT 2009


    Date: Tuesday, April 7, 2009 @ 17:28:35
  Author: hugo
Revision: 34191

upgpkg: mpg123 1.7.1-5
    added --enable-ltdl-install=no to the PKGBUILD

Modified:
  mpg123/trunk/PKGBUILD

----------+
 PKGBUILD |    7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-07 21:20:13 UTC (rev 34190)
+++ PKGBUILD	2009-04-07 21:28:35 UTC (rev 34191)
@@ -4,7 +4,7 @@
 
 pkgname=mpg123
 pkgver=1.7.1
-pkgrel=4
+pkgrel=5
 pkgdesc="A console based real time MPEG Audio Player for Layer 1, 2 and 3"
 arch=('i686' 'x86_64')
 url="http://sourceforge.net/projects/mpg123"
@@ -21,10 +21,7 @@
 
 build() {
   cd ${srcdir}/${pkgname}-${pkgver}
-  ./configure --prefix=/usr --with-audio="alsa esd sdl" || return 1
+  ./configure --prefix=/usr --with-audio="alsa esd sdl" --enable-ltdl-install=no || return 1
   make || return 1
   make DESTDIR=${pkgdir} install || return 1
-  rm -rf ${pkgdir}/usr/lib/libltdl*
-  rm -rf ${pkgdir}/usr/include/libltdl
-  rm -rf ${pkgdir}/usr/include/ltdl.h
 }



More information about the arch-commits mailing list